ESB-2019.0660 - [Win][Linux][AIX] IBM Spectrum Control: Multiple vulnerabilities 2019-03-04

Printable version
PGP/GPG verifiable version

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

===========================================================================
             AUSCERT External Security Bulletin Redistribution

                               ESB-2019.0660
         IBM Security Bulletin: Multiple vulnerabilities affecting
                           IBM Spectrum Control
                               4 March 2019

===========================================================================

        AusCERT Security Bulletin Summary
        ---------------------------------

Product:           IBM Spectrum Control
Publisher:         IBM
Operating System:  AIX
                   Linux variants
                   Windows
Impact/Access:     Access Privileged Data   -- Remote/Unauthenticated
                   Modify Arbitrary Files   -- Remote/Unauthenticated
                   Increased Privileges     -- Existing Account      
                   Denial of Service        -- Remote/Unauthenticated
                   Access Confidential Data -- Existing Account      
Resolution:        Patch/Upgrade
CVE Names:         CVE-2018-3180 CVE-2018-3139 CVE-2018-1996
                   CVE-2018-1901 CVE-2018-0734 

Reference:         ASB-2019.0021
                   ESB-2019.0645
                   ESB-2019.0590
                   ESB-2019.0571
                   ESB-2019.0547
                   ESB-2019.0514

Original Bulletin: 
   http://www.ibm.com/support/docview.wss?uid=ibm10794857
   http://www.ibm.com/support/docview.wss?uid=ibm10874598
   http://www.ibm.com/support/docview.wss?uid=ibm10794861
   http://www.ibm.com/support/docview.wss?uid=ibm10869690

Comment: This bulletin contains four (4) security advisories.

- --------------------------BEGIN INCLUDED TEXT--------------------

Privilege Escalation Vulnerability in WebSphere Application Server affects IBM
Spectrum Control (formerly Tivoli Storage Productivity Center) (CVE-2018-1901)

Product:             IBM Spectrum Control Standard Edition

Software version:    5.2.8, 5.2.10.1, 5.2.11, 5.2.12, 5.2.13, 5.2.14, 5.2.15,
                     5.2.15.2, 5.2.16, 5.2.17.0, 5.2.17.1, 5.3.0, 5.3.1

Operating system(s): AIX, Linux, Windows

Reference #:         0794857

Security Bulletin

Summary

There is a timing window where there could be a privilege escalation
vulnerability in WebSphere Application Server. This can affect IBM Spectrum
Control (formerly Tivoli Storage Productivity Center).

Vulnerability Details

CVEID: CVE-2018-1901
DESCRIPTION: IBM WebSphere Application Server could allow a remote attacker to
temporarily gain elevated privileges on the system, caused by incorrect cached
value being used.
CVSS Base Score: 5
CVSS Temporal Score: See https://exchange.xforce.ibmcloud.com/vulnerabilities/
152530
for the current score
CVSS Environmental Score*: Undefined
CVSS Vector: (CVSS:3.0/AV:N/AC:H/PR:L/UI:N/S:U/C:L/I:L/A:L)

Affected Products and Versions

+--------------------------------------+-----------------+
|Affected Product                      |Affected Versions|
+--------------------------------------+-----------------+
|IBM Tivoli Storage Productivity Center|5.2.0 - 5.2.7.1  |
+--------------------------------------+-----------------+
|IBM Spectrum Control                  |5.2.8 - 5.2.17.1 |
+--------------------------------------+-----------------+
|IBM Spectrum Control                  |5.3.0 - 5.3.1    |
+--------------------------------------+-----------------+
The versions listed above apply to all licensed offerings of IBM Spectrum
Control.

Remediation/Fixes

The solution is to apply an appropriate IBM Spectrum Control fix. Click on the
download link and follow the Installation Instructions. The solution should be
implemented as soon as practicable.

Starting with 5.2.8, Tivoli Storage Productivity Center has been renamed to IBM
Spectrum Control.

+-------+-------------+--------------------------------------------------------------+
|Release|First Fixing |Link to Fix/Fix Availability Target                           |
|       |VRM Level    |                                                              |
+-------+-------------+--------------------------------------------------------------+
|5.2    |5.2.17.2     |http://www.ibm.com/support/docview.wssuid=swg21320822#53_0   |
+-------+-------------+--------------------------------------------------------------+
|5.3    |5.3.2        |http://www.ibm.com/support/docview.wssuid=swg21320822#53_0   |
+-------+-------------+--------------------------------------------------------------+
Note: It is always recommended to have a current backup before applying any
update procedure.

Workarounds and Mitigations

None.

Reference

Complete CVSS v3 Guide
On-line Calculator v3

Related Information

IBM Secure Engineering Web Portal
IBM Product Security Incident Response Blog

Change History

1 March 2019 - originally published

*The CVSS Environment Score is customer environment specific and will
ultimately impact the Overall CVSS Score. Customers can evaluate the impact of
this vulnerability in their environments by accessing the links in the
Reference section of this Security Bulletin.

Disclaimer

According to the Forum of Incident Response and Security Teams (FIRST), the
Common Vulnerability Scoring System (CVSS) is an "industry open standard
designed to convey vulnerability severity and help to determine urgency and
priority of response." IBM PROVIDES THE CVSS SCORES ""AS IS"" WITHOUT WARRANTY
OF ANY KIND, INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE. CUSTOMERS ARE RESPONSIBLE FOR ASSESSING THE IMPACT OF
ANY ACTUAL OR POTENTIAL SECURITY VULNERABILITY.

===============================================================================

Potential WebSphere Application Server weakness in security affects IBM
Spectrum Control (formerly Tivoli Storage Productivity Center) (CVE-2018-1996)

Product:             IBM Spectrum Control Standard Edition

Software version:    5.2.8, 5.2.10.1, 5.2.11, 5.2.12, 5.2.13

Operating system(s): AIX, Linux, Windows

Reference #:         0874598

Security Bulletin

Summary

There is a potential for weaker than expected security in WebSphere Application
Server which affects IBM Spectrum Control (formerly Tivoli Storage Productivity
Center).

Vulnerability Details

CVEID: CVE-2018-1996
DESCRIPTION: IBM WebSphere Application Server could provide weaker than
expected security, caused by the improper TLS configuration. A remote attacker
could exploit this vulnerability to obtain sensitive information using man in
the middle techniques.
CVSS Base Score: 5.3
CVSS Temporal Score: See https://exchange.xforce.ibmcloud.com/vulnerabilities/
154650 for the current score
CVSS Environmental Score*: Undefined
CVSS Vector: (CVSS:3.0/AV:N/AC:H/PR:L/UI:N/S:U/C:H/I:N/A:N)

Affected Products and Versions

+--------------------------------------+-----------------+
|Affected Product                      |Affected Versions|
+--------------------------------------+-----------------+
|IBM Tivoli Storage Productivity Center|5.2.0 - 5.2.7.1  |
+--------------------------------------+-----------------+
|IBM Spectrum Control                  |5.2.8 - 5.2.13   |
+--------------------------------------+-----------------+

The versions listed above apply to all licensed offerings of IBM Spectrum
Control.

Note that 5.3 versions of IBM Spectrum Control are not affected.

Remediation/Fixes

The solution is to apply an appropriate IBM Spectrum Control fix. Click on the
download link and follow the Installation Instructions. The solution should be
implemented as soon as practicable.

Starting with 5.2.8, Tivoli Storage Productivity Center has been renamed to IBM
Spectrum Control.

+-------+--------------------+------------------------------------------------+
|Release|First Fixing VRM    |Link to Fix/Fix Availability Target             |
|       |Level               |                                                |
+-------+--------------------+------------------------------------------------+
|5.2.x  |5.2.14              |http://www.ibm.com/support/docview.wssuid=     |
|       |                    |swg21320822                                     |
+-------+--------------------+------------------------------------------------+
Note: It is always recommended to have a current backup before applying any
update procedure.

Workarounds and Mitigations

None.

Reference

Complete CVSS v3 Guide
On-line Calculator v3

Related Information

IBM Secure Engineering Web Portal
IBM Product Security Incident Response Blog

Change History

1 March 2019 - Original version published.

*The CVSS Environment Score is customer environment specific and will
ultimately impact the Overall CVSS Score. Customers can evaluate the impact of
this vulnerability in their environments by accessing the links in the
Reference section of this Security Bulletin.

Disclaimer

According to the Forum of Incident Response and Security Teams (FIRST), the
Common Vulnerability Scoring System (CVSS) is an "industry open standard
designed to convey vulnerability severity and help to determine urgency and
priority of response." IBM PROVIDES THE CVSS SCORES ""AS IS"" WITHOUT WARRANTY
OF ANY KIND, INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE. CUSTOMERS ARE RESPONSIBLE FOR ASSESSING THE IMPACT OF
ANY ACTUAL OR POTENTIAL SECURITY VULNERABILITY.
===============================================================================

OpenSSL DSA signature algorithm security vulnerability affects IBM Spectrum
Control (formerly Tivoli Storage Productivity Center) (CVE-2018-0734)

Product:             IBM Spectrum Control Standard Edition

Software version:    5.2.8, 5.2.10.1, 5.2.11, 5.2.12, 5.2.13, 5.2.14, 5.2.15,
                     5.2.15.2, 5.2.16, 5.2.17.0, 5.2.17.1, 5.3.0, 5.3.1

Operating system(s): AIX, Linux, Windows

Reference #:         0794861

Security Bulletin

Summary

The OpenSSL DSA signature algorithm has been shown to be vulnerable to a timing
side channel attack which could allow a remote atacker to obtain sensitive
information. This can affect IBM Spectrum Control (formerly Tivoli Storage
Productivity Center).

Vulnerability Details

CVEID: CVE-2018-0734
DESCRIPTION: OpenSSL could allow a remote attacker to obtain sensitive
information, caused by a timing side channel attack in the DSA signature
algorithm. An attacker could exploit this vulnerability using variations in the
signing algorithm to recover the private key.
CVSS Base Score: 3.7
CVSS Temporal Score: See https://exchange.xforce.ibmcloud.com/vulnerabilities/
152085
for the current score
CVSS Environmental Score*: Undefined
CVSS Vector: (CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:N/A:N)

Affected Products and Versions

+--------------------------------------+-----------------+
|Affected Product                      |Affected Versions|
+--------------------------------------+-----------------+
|IBM Tivoli Storage Productivity Center|5.2.0 - 5.2.7.1  |
+--------------------------------------+-----------------+
|IBM Spectrum Control                  |5.2.8 - 5.2.17.1 |
+--------------------------------------+-----------------+
|IBM Spectrum Control                  |5.3.0 - 5.3.1    |
+--------------------------------------+-----------------+
The versions listed above apply to all licensed offerings of IBM Spectrum
Control.

Remediation/Fixes

    The solution is to apply an appropriate IBM Spectrum Control fix. Click on
    the download link and follow the Installation Instructions. The solution
    should be implemented as soon as practicable.

Starting with 5.2.8, Tivoli Storage Productivity Center has been renamed to IBM
Spectrum Control.

+----------+-----------------+------------------------------------------------------------------------------------+
|Release   |First Fixing     |Link to Fix/Fix Availability Target                                                 |
|          |VRM Level        |                                                                                    |
+----------+-----------------+------------------------------------------------------------------------------------+
|5.2       |5.2.17.2         |http://www.ibm.com/support/docview.wssuid=swg21320822#53_0                         |
+----------+-----------------+------------------------------------------------------------------------------------+
|5.3       |5.3.2            |http://www.ibm.com/support/docview.wssuid=swg21320822#53_0                         |
+----------+-----------------+------------------------------------------------------------------------------------+
Note: It is always recommended to have a current backup before applying any
update procedure.

Workarounds and Mitigations

None.

Reference

Complete CVSS v3 Guide
On-line Calculator v3

Related Information

IBM Secure Engineering Web Portal
IBM Product Security Incident Response Blog

Change History

1 March 2019 - originally published

*The CVSS Environment Score is customer environment specific and will
ultimately impact the Overall CVSS Score. Customers can evaluate the impact of
this vulnerability in their environments by accessing the links in the
Reference section of this Security Bulletin.

Disclaimer

According to the Forum of Incident Response and Security Teams (FIRST), the
Common Vulnerability Scoring System (CVSS) is an "industry open standard
designed to convey vulnerability severity and help to determine urgency and
priority of response." IBM PROVIDES THE CVSS SCORES ""AS IS"" WITHOUT WARRANTY
OF ANY KIND, INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE. CUSTOMERS ARE RESPONSIBLE FOR ASSESSING THE IMPACT OF
ANY ACTUAL OR POTENTIAL SECURITY VULNERABILITY.

===============================================================================

Multiple vulnerabilities in IBM Java SDK affect IBM Spectrum Control (formerly
Tivoli Storage Productivity Center) (CVE-2018-3139, CVE-2018-3180)

Product:             IBM Spectrum Control Standard Edition

Software version:    5.2.17.1, 5.2.8, 5.2.10.1, 5.2.11, 5.2.12, 5.2.13, 5.2.14,
                     5.2.15, 5.2.15.2, 5.2.16, 5.2.17.0, 5.3.0, 5.3.1

Operating system(s): AIX, Linux, Windows

Reference #:         0869690

Security Bulletin

Summary

There are multiple vulnerabilities in IBM SDK Java Technology Edition that is
shipped and used by IBM Spectrum Control (formerly Tivoli Storage Productivity
Center). These issues were disclosed as part of the IBM Java SDK updates for
October 2018.

Vulnerability Details

CVEID: CVE-2018-3139
DESCRIPTION: An unspecified vulnerability in Oracle Java SE related to the Java
SE, Java SE Embedded Networking component could allow an unauthenticated
attacker to obtain sensitive information resulting in a low confidentiality
impact using unknown attack vectors.
CVSS Base Score: 3.1
CVSS Temporal Score: See https://exchange.xforce.ibmcloud.com/vulnerabilities/
151455 for the current score
CVSS Environmental Score*: Undefined
CVSS Vector: (CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:L/I:N/A:N)

CVEID: CVE-2018-3180
DESCRIPTION: An unspecified vulnerability in Oracle Java SE related to the Java
SE, Java SE Embedded, JRockit JSSE component could allow an unauthenticated
attacker to cause low confidentiality impact, low integrity impact, and low
availability impact.
CVSS Base Score: 5.6
CVSS Temporal Score: See https://exchange.xforce.ibmcloud.com/vulnerabilities/
151497 for the current score
CVSS Environmental Score*: Undefined
CVSS Vector: (CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L)

Affected Products and Versions

+--------------------------------------+-----------------+
|Affected Product                      |Affected Versions|
+--------------------------------------+-----------------+
|IBM Tivoli Storage Productivity Center|5.2.0 - 5.2.7.1  |
+--------------------------------------+-----------------+
|IBM Spectrum Control                  |5.2.8 - 5.2.17.1 |
+--------------------------------------+-----------------+
|IBM Spectrum Control                  |5.3.0 - 5.3.1    |
+--------------------------------------+-----------------+
The versions listed above apply to all licensed offerings of IBM Spectrum
Control.

Remediation/Fixes

The solution is to apply an appropriate IBM Spectrum Control fix. Click on the
download link and follow the Installation Instructions. The solution should be
implemented as soon as practicable.

Starting with 5.2.8, Tivoli Storage Productivity Center has been renamed to IBM
Spectrum Control.

+-----------+------------------+------------------------------------------------------------------------------------------+
|Release    |First Fixing      |Link to Fix/Fix Availability Target                                                       |
|           |VRM Level         |                                                                                          |
+-----------+------------------+------------------------------------------------------------------------------------------+
|5.2        |5.2.17.2          |http://www.ibm.com/support/docview.wssuid=swg21320822#53_0                               |
+-----------+------------------+------------------------------------------------------------------------------------------+
|5.3        |5.3.2             |http://www.ibm.com/support/docview.wssuid=swg21320822#53_0                               |
+-----------+------------------+------------------------------------------------------------------------------------------+
Note: It is always recommended to have a current backup before applying any
update procedure.

Workarounds and Mitigations

None.

Reference

Complete CVSS v3 Guide
On-line Calculator v3

Related Information

IBM Secure Engineering Web Portal
IBM Product Security Incident Response Blog

Change History

1 March - originally published

*The CVSS Environment Score is customer environment specific and will
ultimately impact the Overall CVSS Score. Customers can evaluate the impact of
this vulnerability in their environments by accessing the links in the
Reference section of this Security Bulletin.

Disclaimer

According to the Forum of Incident Response and Security Teams (FIRST), the
Common Vulnerability Scoring System (CVSS) is an "industry open standard
designed to convey vulnerability severity and help to determine urgency and
priority of response." IBM PROVIDES THE CVSS SCORES ""AS IS"" WITHOUT WARRANTY
OF ANY KIND, INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE. CUSTOMERS ARE RESPONSIBLE FOR ASSESSING THE IMPACT OF
ANY ACTUAL OR POTENTIAL SECURITY VULNERABILITY.

- --------------------------END INCLUDED TEXT--------------------

You have received this e-mail bulletin as a result of your organisation's
registration with AusCERT. The mailing list you are subscribed to is
maintained within your organisation, so if you do not wish to continue
receiving these bulletins you should contact your local IT manager. If
you do not know who that is, please send an email to auscert@auscert.org.au
and we will forward your request to the appropriate person.

NOTE: Third Party Rights
This security bulletin is provided as a service to AusCERT's members.  As
AusCERT did not write the document quoted above, AusCERT has had no control
over its content. The decision to follow or act on information or advice
contained in this security bulletin is the responsibility of each user or
organisation, and should be considered in accordance with your organisation's
site policies and procedures. AusCERT takes no responsibility for consequences
which may arise from following or acting on information or advice contained in
this security bulletin.

NOTE: This is only the original release of the security bulletin.  It may
not be updated when updates to the original are made.  If downloading at
a later date, it is recommended that the bulletin is retrieved directly
from the author's website to ensure that the information is still current.

Contact information for the authors of the original document is included
in the Security Bulletin above.  If you have any questions or need further
information, please contact them directly.

Previous advisories and external security bulletins can be retrieved from:

        https://www.auscert.org.au/bulletins/

===========================================================================
Australian Computer Emergency Response Team
The University of Queensland
Brisbane
Qld 4072

Internet Email: auscert@auscert.org.au
Facsimile:      (07) 3365 7031
Telephone:      (07) 3365 4417 (International: +61 7 3365 4417)
                AusCERT personnel answer during Queensland business hours
                which are GMT+10:00 (AEST).
                On call after hours for member emergencies only.
===========================================================================
-----BEGIN PGP SIGNATURE-----
Comment: http://www.auscert.org.au/render.html?it=1967

iQIVAwUBXHyuuGaOgq3Tt24GAQjTdhAAz5I67L08G9oRRzBC8kyj1GUNRKLO524L
YXDVFVmed+4i6YzD6L7MQxp8gREIAP6X/9D0w0mgY1ZOOQWk/9GP+e2x8i6WK4Jf
B2N1P3LVGEsAbbEOfnssJpvrd9EFi1FFRmBABgkfnxDSqHE59OyOJpwE/D7E3NVd
/9a/9XS39KeBzftn+EJ4AeTLZZe2L6Y1HpVOb1vziciwjqQpZAGMUJHfY+YpQ8Q1
vlDXJskxHKi6LED4tPAKW+yKjshAjK41tjxsA3RgqyC6Om3V6zVLGfi6Ww3TkAlY
T8SB4N7g0xpC1PCdovA3qpx9xFKr7BBEK4a6HDlDYcZBRUyJzuP5yXsr+Md0L20e
fDjSla1jOZmBnSsIgR42m7X4aCKnRNS3f7YMkND2WLIRQYkOyM0PIbz3M/hw2L7B
c5KSmj7cJAyWf5a/hYdG+YLBnlQofx//gBoO41UggiK1+9TbtVJ1TGwOA2hYZCxi
GqzNjcOUBV2GFD63aaSu9rlaXS+tI64HGgJhYsVDlPweGLnKmHEQ8C06TIq/JQrk
GdPLQMm5V478m1xHM1eLf+/3FWexeulqDOsB7atJUwA0Tcde1GIp8p6iDy0VFq+v
DMqTm+2j8s5s4SMKltZg8QfG8agZ3zv9sZhnRBcBdwWoVEz7hQLujSE0J9dLsum3
BbBTgkwEUas=
=tsNb
-----END PGP SIGNATURE-----

« Back to bulletins